Skip to main content
`Ctrl`+`K`

# read_sparse6

read_sparse6(path)

  Read an undirected graph in sparse6 format from path.

  Parameters:
    path file or string

      File or filename to write.

  Returns:
    G Graph/Multigraph or list of Graphs/MultiGraphs

      If the file contains multiple lines then a list of graphs is returned

  Raises:
    NetworkXError

      If the string is unable to be parsed in sparse6 format

  See also

  `read_sparse6`, `from_sparse6_bytes`

  References

  [1]

  Sparse6 specification <https://users.cecs.anu.edu.au/~bdm/data/formats.html>

  Examples

  You can read a sparse6 file by giving the path to the file:

      >>> import tempfile
      >>> with tempfile.NamedTemporaryFile(delete=False) as f:
      ...     _ = f.write(b">>sparse6<<:An\n")
      ...     _ = f.seek(0)
      ...     G = nx.read_sparse6(f.name)
      >>> list(G.edges())
      [(0, 1)]

  You can also read a sparse6 file by giving an open file-like object:

      >>> import tempfile
      >>> with tempfile.NamedTemporaryFile() as f:
      ...     _ = f.write(b">>sparse6<<:An\n")
      ...     _ = f.seek(0)
      ...     G = nx.read_sparse6(f)
      >>> list(G.edges())
      [(0, 1)]